package com.zd.face.valid;

import javax.validation.ConstraintValidator;
import javax.validation.ConstraintValidatorContext;

/**
 * 暂未使用，还未完成
 * @Author: zhoupan
 * @Date: 2021/10/28/9:07
 * @Description:
 */
public class KeyValidator implements ConstraintValidator<KeyNotNull, Object> {


    @Override
    public boolean isValid(Object s, ConstraintValidatorContext constraintValidatorContext) {

        if (s == null) return true;
        return false;
    }

    @Override
    public void initialize(KeyNotNull constraintAnnotation) {
        ConstraintValidator.super.initialize(constraintAnnotation);
    }
}
